%global momorel 3
Summary: quick-lounge-applet
Name: quick-lounge-applet
Version: 2.0.1
Release: %{momorel}m
License: GPL
Group: Applications/System
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.0/%{name}-%{version}.tar.bz2
Nosource: 0
Patch0: quick-lounge-applet-2.0.1-disable-deprecated.patch
Patch1: quick-lounge-applet-2.0.1-gcc34.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: GConf
BuildPrereq: glib-devel >= 2.1.0
BuildPrereq: gtk+-devel >= 2.1.1
BuildPrereq: libgnome-devel >= 2.1.1
BuildPrereq: libgnomeui-devel >= 2.1.1
BuildPrereq: gnome-desktop-devel >= 2.1.0
BuildPrereq: gnome-vfs-devel >= 2.0.0
BuildPrereq: libglade-devel >= 2.0.0
BuildPrereq: gnome-panel-devel >= 2.0.0

%description
quick-lounge-applet

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

%clean
rm -rf %{buildroot}

%changelog
* Tue Oct 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.1-3m)
- add Patch14: quick-lounge-applet-2.0.1-gcc34.patch
  reported by Hiromasa YOSHIMOTO [Momonga-devel.ja:02823]

* Sat Apr 24 2004 Toru Hoshina <t@momomnga-linux.org>
- (2.0.1-2m)
- rebuild against new environment.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Fri Jun 27 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.4-1m)
- version 1.1.4

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/quick-lounge.schemas > /dev/null

%files 
%defattr(-, root, root)
%doc README COPYING ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/lib*
%{_libdir}/bonobo/servers/GNOME_QuickLoungeApplet_Factory.server
%{_datadir}/gnome-2.0/ui/GNOME_QuickLoungeApplet.xml
%{_datadir}/quick-lounge
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/quick-lounge-applet.png
